{
    "doc": "Object to hold consequence types linked to appropriate transcript. \nModified from org.opencb.biodata.models.variant.avro 2.9.3-GEL",
    "fields": [
        {
            "name": "geneName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ensemblGeneId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ensemblTranscriptId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ensemblProteinId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "strand",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "biotype",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "exonOverlap",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Object to hold how much a variant overlaps with a particular exon.",
                        "fields": [
                            {
                                "name": "number",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "percentage",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "ExonOverlap",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "transcriptFlags",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "cdnaPosition",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "cdsPosition",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "cdsLength",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "codon",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "spliceScores",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Taken from org.opencb.biodata.models.variant.avro 2.9.3-GEL",
                        "fields": [
                            {
                                "name": "source",
                                "type": "string"
                            },
                            {
                                "name": "scores",
                                "type": {
                                    "type": "map",
                                    "values": "double"
                                }
                            }
                        ],
                        "name": "SpliceScores",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "gDNA change, HGVS nomenclature (e.g.: g.476A>T)",
            "name": "genomicChanges",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "cDNA change, HGVS nomenclature (e.g.: c.76A>T)",
            "name": "cdnaChanges",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Protein change, HGVS nomenclature (e.g.: p.Lys76Asn)",
            "name": "proteinChanges",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "sequenceOntologyTerms",
            "type": {
                "items": {
                    "fields": [
                        {
                            "name": "accession",
                            "type": "string"
                        },
                        {
                            "name": "name",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "SequenceOntologyTerm",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "Consequence",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}